
QGIS Application - Bug report #3057

Attribute Index out of sync with data source when datasource was modified outside of QGIS

2010-09-28 03:09 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13117

Description

If a data source (in my case a Postgis table) is present in a QGIS project - and the data structure was modified outside QGIS (e.g. in

pgAdmin), the attribute index (for aliases, edit types, etc.) gets out of sync.

There should either be:

- automatic detection of changes in datastructure

- or a manual re-read of the data-structure with a button in the layer properties

Associated revisions

Revision 3c50546b - 2011-04-09 10:37 PM - Jürgen Fischer

fix #3057

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15687 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision fb438557 - 2011-04-09 10:37 PM - Jürgen Fischer

fix #3057

git-svn-id: http://svn.osgeo.org/qgis/trunk@15687 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-15 04:45 AM - Andreas Neumann

It appears that attributes get reread correctly, but the aliases can get out of sync. I may need to do more investigations to see if this also happens with

newer projects or if it is a migration issue from older versions.

#2 - 2011-04-09 01:38 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:fb438557 (SVN r15688).
